=== debian/changelog ===
osra (2.1.3-3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:10:22 +1100

osra (2.1.3-3build2) noble; urgency=medium

  * No-change rebuild against libpoppler-cpp0t64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 21 Mar 2024 17:13:41 +1300

osra (2.1.3-3build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:47:33 +0000

osra (2.1.3-3) unstable; urgency=medium

  * libosra-dev: add dependency on libosra2 (Closes: #1035455)

 -- Andrius Merkys <merkys@debian.org>  Thu, 04 May 2023 02:31:03 -0400

osra (2.1.3-2) unstable; urgency=medium

  * Add complete texts of CeCILL and CeCILL-C licenses.

 -- Andrius Merkys <merkys@debian.org>  Fri, 16 Sep 2022 01:24:16 -0400

osra (2.1.3-1) unstable; urgency=medium

  * Initial release (closes: #682760)

 -- Andrius Merkys <merkys@debian.org>  Tue, 23 Aug 2022 04:26:38 -0400
