=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@

# Autoreconf fails, build has to use embedded configure script:
# Reference: https://sourceforge.net/p/osra/bugs/20/
override_dh_autoreconf:

# --enable-java is not added as it causes FTBFS
override_dh_auto_configure:
	LIBS=-lpng ./configure --prefix=/usr --datarootdir=\$${prefix}/share/osra --enable-lib --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --enable-openmp
