=== debian/watch ===
version=4
https://sf.net/osra/ osra-@ANY_VERSION@@ARCHIVE_EXT@
